


const int fogColorsCount = 6;
const ivec3 fogColors[fogColorsCount] = ivec3[](
    ivec3(9, 10, 19),
    ivec3(8, 6, 12),
    ivec3(1, 3, 5),
    // ivec3(4, 2, 3),
    ivec3(5, 4, 8),
    ivec3(2, 0, 0),
    ivec3(1, 0, 1)
);

// speed params: x - moving stars size, y - moving stars speed, z - static stars animation speed, w - generated pulse & dystopia effect
const vec4 speedParams[fogColorsCount] = vec4[](
    vec4(.0, 10., 100., 1.),	// 0
    vec4(.1, 40., 160., 10.),	// 1
    vec4(.2, 100., 500., 10),	// 2
    // vec4(.35, 100., 600., 20),	// 3
    vec4(.45, 140., 600., 20),	// 4
    vec4(.5, 200., 800., 18),	// 5
    vec4(.75, 300., 1000., 690) // 6
);

const vec4 debugColors[fogColorsCount] = vec4[](
    vec4(1., 0, 0, 1),	// 0 - the_void (red)
    vec4(0, 1, 0, 1),	// 1 - end_highlands (green)
    vec4(0, 0, 1, 1),	// 2 - soul_sand_valley (blue)
    // vec4(.35, 100., 600., 20),	// 3
    vec4(1, 1, 0, 1),	// 4 - basalt_deltas (yellow)
    vec4(0, 1, 1, 1),	// 5 - nether_wastes (cyan)
    vec4(1, 0, 1, 1) 	// 6 - warped_forest (magenta)
);
// biomes:
// 0 - the_void
// 1 - end_highlands
// 2 - soul_sand_valley
//
// 4 - basalt_deltas
// 5 - nether_wastes
// 6 - warped_forest
// 7 - spawn (soul sand valley)

int getSpeed(vec3 c) {

    ivec3 ic = ivec3(c*255);

    // if (ic.x == 1) return 5;
    // if (ic.y == 0) return 5;
    // if (ic.z == 1) return 5;

    for (int i=0; i < fogColorsCount; i++) {
        if (fogColors[i] == ic) {
            return i;
        }
    }

    // return -1;
    return 2;
}
